ruby-net-ssh_5.0.2-2_all.deb


Advertisement

Description

ruby-net-ssh - Ruby implementation of the SSH protocol

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package name ruby-net-ssh
Package version 5.0.2
Package release 2
Package architecture all
Package type deb
Installed size 478 B
Download size 99.71 KB
Official Mirror ftp.br.debian.org
Description -

Alternatives

Package Version Architecture Repository
ruby-net-ssh_5.0.2-2_all.deb 5.0.2 all Debian Main
ruby-net-ssh - - -

Requires

Name Value
ruby -
ruby-bcrypt-pbkdf -
ruby-ed25519 -
ruby-interpreter -

Download

Type URL
Binary Package ruby-net-ssh_5.0.2-2_all.deb
Source Package ruby-net-ssh

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-net-ssh deb package:
    # sudo apt-get install ruby-net-ssh

Files

Path
/usr/lib/ruby/vendor_ruby/net/ssh.rb
/usr/lib/ruby/vendor_ruby/net/ssh/buffer.rb
/usr/lib/ruby/vendor_ruby/net/ssh/buffered_io.rb
/usr/lib/ruby/vendor_ruby/net/ssh/config.rb
/usr/lib/ruby/vendor_ruby/net/ssh/errors.rb
/usr/lib/ruby/vendor_ruby/net/ssh/key_factory.rb
/usr/lib/ruby/vendor_ruby/net/ssh/known_hosts.rb
/usr/lib/ruby/vendor_ruby/net/ssh/loggable.rb
/usr/lib/ruby/vendor_ruby/net/ssh/packet.rb
/usr/lib/ruby/vendor_ruby/net/ssh/prompt.rb
/usr/lib/ruby/vendor_ruby/net/ssh/ruby_compat.rb
/usr/lib/ruby/vendor_ruby/net/ssh/test.rb
/usr/lib/ruby/vendor_ruby/net/ssh/version.rb
/usr/lib/ruby/vendor_ruby/net/ssh/authentication/agent.rb
/usr/lib/ruby/vendor_ruby/net/ssh/authentication/certificate.rb
/usr/lib/ruby/vendor_ruby/net/ssh/authentication/constants.rb
/usr/lib/ruby/vendor_ruby/net/ssh/authentication/ed25519.rb
/usr/lib/ruby/vendor_ruby/net/ssh/authentication/ed25519_loader.rb
/usr/lib/ruby/vendor_ruby/net/ssh/authentication/key_manager.rb
/usr/lib/ruby/vendor_ruby/net/ssh/authentication/pageant.rb
/usr/lib/ruby/vendor_ruby/net/ssh/authentication/pub_key_fingerprint.rb
/usr/lib/ruby/vendor_ruby/net/ssh/authentication/session.rb
/usr/lib/ruby/vendor_ruby/net/ssh/authentication/methods/abstract.rb
/usr/lib/ruby/vendor_ruby/net/ssh/authentication/methods/hostbased.rb
/usr/lib/ruby/vendor_ruby/net/ssh/authentication/methods/keyboard_interactive.rb
/usr/lib/ruby/vendor_ruby/net/ssh/authentication/methods/none.rb
/usr/lib/ruby/vendor_ruby/net/ssh/authentication/methods/password.rb
/usr/lib/ruby/vendor_ruby/net/ssh/authentication/methods/publickey.rb
/usr/lib/ruby/vendor_ruby/net/ssh/connection/channel.rb
/usr/lib/ruby/vendor_ruby/net/ssh/connection/constants.rb
/usr/lib/ruby/vendor_ruby/net/ssh/connection/event_loop.rb
/usr/lib/ruby/vendor_ruby/net/ssh/connection/keepalive.rb
/usr/lib/ruby/vendor_ruby/net/ssh/connection/session.rb
/usr/lib/ruby/vendor_ruby/net/ssh/connection/term.rb
/usr/lib/ruby/vendor_ruby/net/ssh/proxy/command.rb
/usr/lib/ruby/vendor_ruby/net/ssh/proxy/errors.rb
/usr/lib/ruby/vendor_ruby/net/ssh/proxy/http.rb
/usr/lib/ruby/vendor_ruby/net/ssh/proxy/https.rb
/usr/lib/ruby/vendor_ruby/net/ssh/proxy/jump.rb
/usr/lib/ruby/vendor_ruby/net/ssh/proxy/socks4.rb
/usr/lib/ruby/vendor_ruby/net/ssh/proxy/socks5.rb
/usr/lib/ruby/vendor_ruby/net/ssh/service/forward.rb
/usr/lib/ruby/vendor_ruby/net/ssh/test/channel.rb
/usr/lib/ruby/vendor_ruby/net/ssh/test/extensions.rb
/usr/lib/ruby/vendor_ruby/net/ssh/test/kex.rb
/usr/lib/ruby/vendor_ruby/net/ssh/test/local_packet.rb
/usr/lib/ruby/vendor_ruby/net/ssh/test/packet.rb
/usr/lib/ruby/vendor_ruby/net/ssh/test/remote_packet.rb
/usr/lib/ruby/vendor_ruby/net/ssh/test/script.rb
/usr/lib/ruby/vendor_ruby/net/ssh/test/socket.rb
/usr/lib/ruby/vendor_ruby/net/ssh/transport/algorithms.rb
/usr/lib/ruby/vendor_ruby/net/ssh/transport/cipher_factory.rb
/usr/lib/ruby/vendor_ruby/net/ssh/transport/constants.rb
/usr/lib/ruby/vendor_ruby/net/ssh/transport/ctr.rb
/usr/lib/ruby/vendor_ruby/net/ssh/transport/hmac.rb
/usr/lib/ruby/vendor_ruby/net/ssh/transport/identity_cipher.rb
/usr/lib/ruby/vendor_ruby/net/ssh/transport/kex.rb
/usr/lib/ruby/vendor_ruby/net/ssh/transport/key_expander.rb
/usr/lib/ruby/vendor_ruby/net/ssh/transport/openssl.rb
/usr/lib/ruby/vendor_ruby/net/ssh/transport/packet_stream.rb
/usr/lib/ruby/vendor_ruby/net/ssh/transport/server_version.rb
/usr/lib/ruby/vendor_ruby/net/ssh/transport/session.rb
/usr/lib/ruby/vendor_ruby/net/ssh/transport/state.rb
/usr/lib/ruby/vendor_ruby/net/ssh/transport/hmac/abstract.rb
/usr/lib/ruby/vendor_ruby/net/ssh/transport/hmac/md5.rb
/usr/lib/ruby/vendor_ruby/net/ssh/transport/hmac/md5_96.rb
/usr/lib/ruby/vendor_ruby/net/ssh/transport/hmac/none.rb
/usr/lib/ruby/vendor_ruby/net/ssh/transport/hmac/ripemd160.rb
/usr/lib/ruby/vendor_ruby/net/ssh/transport/hmac/sha1.rb
/usr/lib/ruby/vendor_ruby/net/ssh/transport/hmac/sha1_96.rb
/usr/lib/ruby/vendor_ruby/net/ssh/transport/hmac/sha2_256.rb
/usr/lib/ruby/vendor_ruby/net/ssh/transport/hmac/sha2_256_96.rb
/usr/lib/ruby/vendor_ruby/net/ssh/transport/hmac/sha2_512.rb
/usr/lib/ruby/vendor_ruby/net/ssh/transport/hmac/sha2_512_96.rb
/usr/lib/ruby/vendor_ruby/net/ssh/transport/kex/diffie_hellman_group14_sha1.rb
/usr/lib/ruby/vendor_ruby/net/ssh/transport/kex/diffie_hellman_group1_sha1.rb
/usr/lib/ruby/vendor_ruby/net/ssh/transport/kex/diffie_hellman_group_exchange_sha1.rb
/usr/lib/ruby/vendor_ruby/net/ssh/transport/kex/diffie_hellman_group_exchange_sha256.rb
/usr/lib/ruby/vendor_ruby/net/ssh/transport/kex/ecdh_sha2_nistp256.rb
/usr/lib/ruby/vendor_ruby/net/ssh/transport/kex/ecdh_sha2_nistp384.rb
/usr/lib/ruby/vendor_ruby/net/ssh/transport/kex/ecdh_sha2_nistp521.rb
/usr/lib/ruby/vendor_ruby/net/ssh/verifiers/accept_new.rb
/usr/lib/ruby/vendor_ruby/net/ssh/verifiers/accept_new_or_local_tunnel.rb
/usr/lib/ruby/vendor_ruby/net/ssh/verifiers/always.rb
/usr/lib/ruby/vendor_ruby/net/ssh/verifiers/never.rb
/usr/share/doc/ruby-net-ssh/README.rdoc.gz
/usr/share/doc/ruby-net-ssh/changelog.Debian.gz
/usr/share/doc/ruby-net-ssh/changelog.gz
/usr/share/doc/ruby-net-ssh/copyright
/usr/share/rubygems-integration/all/specifications/net-ssh-5.0.2.gemspec

Changelog

2018-10-03 - Unit 193 <unit193@ubuntu.com>
ruby-net-ssh (1:5.0.2-2) unstable; urgency=medium
* Team upload.
* Update Standards-Version to 4.2.1.
* d/p/missing_logger.patch: Restore, fixes an intermittent test failure.
2018-06-23 - Unit 193 <unit193@ubuntu.com>
ruby-net-ssh (1:5.0.2-1) unstable; urgency=medium
* Team upload.
* New upstream version 5.0.2
- Drop patches, no longer needed.
* d/compat, d/control: Bump dh compat to 11.
* d/control:
- Update Vcs-* fields, point to Salsa.
- Replace ruby-rbnacl (build-)depend with ruby-ed25519.
* Update Standards-Version to 4.1.4.
2017-09-23 - Unit 193 <unit193@ubuntu.com>
ruby-net-ssh (1:4.2.0-2) unstable; urgency=medium
* Team upload.
* d/control, d/copyright: Use https in format and homepage fields.
* d/p/missing_logger.patch: Add a missing require on 'logger' to fix ftbfs.
(Closes: #875965)
2017-09-12 - Unit 193 <unit193@ubuntu.com>
ruby-net-ssh (1:4.2.0-1) unstable; urgency=medium
* Team upload.
* New upstream version 4.2.0
* Update Standards-Version to 4.1.0.
2017-07-19 - Lucas Nussbaum <lucas@debian.org>
ruby-net-ssh (1:4.1.0-1) unstable; urgency=medium
[ Unit 193 ]
* d/watch: Update to track releases from GH as they have tests.
* New upstream version 4.1.0
* Drop patches.
* d/control: (Build-)Depend on ruby-rbnacl and ruby-bcrypt-pbkdf.
* d/p/newer_rbnacl.patch: Allow use of newer rbnacl versions.
* Update standards-version to 4.0.0.
2016-07-21 - Lucas Nussbaum <lucas@debian.org>
ruby-net-ssh (1:3.2.0-1) unstable; urgency=medium
[ C├ędric Boutillier ]
* Bump debhelper compatibility level to 9
* Use https:// in Vcs-* fields
* Use https:// in Vcs-* fields
* Bump Standards-Version to 3.9.7 (no changes needed)
* Run wrap-and-sort on packaging files
[ Lucas Nussbaum ]
* Imported Upstream version 3.2.0
* Bump Standards-Version to 3.9.7 (no changes needed)
* Refresh patches
* Update debian/rules with new dh-make-ruby generation
2016-02-10 - Pirate Praveen <praveen@debian.org>
ruby-net-ssh (1:3.0.1-3) unstable; urgency=medium
* Team upload.
* Reupload to unstable (Closes: #812914)
2016-02-05 - Pirate Praveen <praveen@debian.org>
ruby-net-ssh (1:3.0.1-2) experimental; urgency=medium
[ Stefano Rivera ]
* Add missing Build-Depends: ruby-highline, ruby-termios (Closes: #812736)
* wrap-and-sort.
* Switch Vcs fields to https.
2016-01-19 - Pirate Praveen <praveen@debian.org>
ruby-net-ssh (1:3.0.1-1) experimental; urgency=medium
* Team upload.
* New upstream major release.
* Remove patch: skip-test-broken-on-1.8.patch (we dropped ruby 1.8 already)
2015-05-06 - Lucas Nussbaum <lucas@debian.org>
ruby-net-ssh (1:2.9.2-2) unstable; urgency=medium
* Add patch: drop-require-test-unit.patch. This is a temporary
workaround for #784424 (in ruby-test-unit).

See Also

Package Description
ruby-net-telnet_0.1.1-2_all.deb telnet client library
ruby-netaddr_1.5.1-2_all.deb manipulating network addresses
ruby-netcdf_0.7.2-3+b1_amd64.deb Ruby interface of netCDF library
ruby-netrc_0.11.0-1_all.deb Ruby library to read and write netrc files
ruby-nfc_3.1.1-1+b6_amd64.deb ruby wrapper for the libnfc
ruby-ngraph_6.08.00-1_amd64.deb Library for using ngraph-gtk Ruby programs
ruby-nio4r_1.2.1-1+b2_amd64.deb Ruby library providing a selector API for monitoring IO objects
ruby-nokogiri-diff_0.2.0-1_all.deb calculate the differences between two XML/HTML documents
ruby-nokogiri_1.8.4-1_amd64.deb HTML, XML, SAX, and Reader parser for Ruby
ruby-nokogumbo_1.4.2+ds-1+b5_amd64.deb Nokogiri interface to the Gumbo HTML5 parser
ruby-nori_2.6.0-1_all.deb XML to Hash translator
ruby-notiffany_0.1.1-2_all.deb Wrapper libray for most popular notification libraries
ruby-notifier_0.5.1-2_all.deb send system notifications on several platforms
ruby-notify_0.5.2-2_all.deb Desktop notification command on cross platform
ruby-notmuch_0.28-2_amd64.deb Ruby interface to the notmuch mail search and index library
Advertisement
Advertisement